﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using SwP.Fulfillment.ParcelLogger.Shared;

#nullable disable

namespace SwP.Fulfillment.ParcelLogger.Shared.Migrations
{
    [DbContext(typeof(DbStorageContext))]
    [Migration("20230825153242_NewModels")]
    partial class NewModels
    {
        /// <inheritdoc />
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder.HasAnnotation("ProductVersion", "7.0.10");

            modelBuilder.Entity("SwP.Fulfillment.ParcelLogger.Shared.Record", b =>
                {
                    b.Property<int>("RecordID")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<string>("Barcode")
                        .HasMaxLength(50)
                        .HasColumnType("TEXT");

                    b.Property<string>("Barcode2")
                        .HasMaxLength(50)
                        .HasColumnType("TEXT");

                    b.Property<string>("Barcode3")
                        .HasMaxLength(50)
                        .HasColumnType("TEXT");

                    b.Property<DateTime>("Created")
                        .HasColumnType("TEXT");

                    b.Property<int>("OutboundID")
                        .HasColumnType("INTEGER");

                    b.Property<DateTime?>("ReceivedToReturn")
                        .HasColumnType("TEXT");

                    b.Property<DateTime?>("ReceivedToSent")
                        .HasColumnType("TEXT");

                    b.Property<int>("ReturnedID")
                        .HasColumnType("INTEGER");

                    b.HasKey("RecordID");

                    b.HasIndex("OutboundID");

                    b.HasIndex("ReturnedID");

                    b.ToTable("Records");
                });

            modelBuilder.Entity("SwP.Fulfillment.ParcelLogger.Shared.RecordsList", b =>
                {
                    b.Property<int>("ListID")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<DateTime>("DateTime")
                        .HasColumnType("TEXT");

                    b.Property<string>("Description")
                        .HasMaxLength(50)
                        .HasColumnType("TEXT");

                    b.Property<bool>("Edited")
                        .HasColumnType("INTEGER");

                    b.Property<bool>("Locked")
                        .HasColumnType("INTEGER");

                    b.HasKey("ListID");

                    b.ToTable("RecordsList");
                });

            modelBuilder.Entity("SwP.Fulfillment.ParcelLogger.Shared.Record", b =>
                {
                    b.HasOne("SwP.Fulfillment.ParcelLogger.Shared.RecordsList", "Outbound")
                        .WithMany("OutboundRecords")
                        .HasForeignKey("OutboundID")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("SwP.Fulfillment.ParcelLogger.Shared.RecordsList", "Returned")
                        .WithMany("ReturnedRecords")
                        .HasForeignKey("ReturnedID")
                        .OnDelete(DeleteBehavior.NoAction)
                        .IsRequired();

                    b.Navigation("Outbound");

                    b.Navigation("Returned");
                });

            modelBuilder.Entity("SwP.Fulfillment.ParcelLogger.Shared.RecordsList", b =>
                {
                    b.Navigation("OutboundRecords");

                    b.Navigation("ReturnedRecords");
                });
#pragma warning restore 612, 618
        }
    }
}
